org.apache.storm.eventhubs.trident

## Class OpaqueTridentEventHubSpout

- java.lang.Object
- - org.apache.storm.eventhubs.trident.OpaqueTridentEventHubSpout

- All Implemented Interfaces:
    Serializable, IOpaquePartitionedTridentSpout<Partitions,Partition,Map>, ITridentDataSource

      public class OpaqueTridentEventHubSpout
      extends Object
      implements IOpaquePartitionedTridentSpout<Partitions,Partition,Map>

  Opaque Trident EventHubs Spout.

  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.apache.storm.trident.spout.IOpaquePartitionedTridentSpout

      `IOpaquePartitionedTridentSpout.Coordinator<PartitionsT>, IOpaquePartitionedTridentSpout.Emitter<PartitionsT,PartitionT extends ISpoutPartition,M>`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `OpaqueTridentEventHubSpout(EventHubSpoutConfig config)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Map<String,Object>` | `getComponentConfiguration()`
    `IOpaquePartitionedTridentSpout.Coordinator<Partitions>` | `getCoordinator(Map<String,Object> conf, TopologyContext context)`
    `IOpaquePartitionedTridentSpout.Emitter<Partitions,Partition,Map>` | `getEmitter(Map<String,Object> conf, TopologyContext context)`
    `Fields` | `getOutputFields()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### OpaqueTridentEventHubSpout

          public OpaqueTridentEventHubSpout(EventHubSpoutConfig config)

  - ### Method Detail

    - #### getComponentConfiguration

          public Map<String,Object> getComponentConfiguration()

      Specified by:
        `getComponentConfiguration` in interface `IOpaquePartitionedTridentSpout<Partitions,Partition,Map>`

    - #### getCoordinator

          public IOpaquePartitionedTridentSpout.Coordinator<Partitions> getCoordinator(Map<String,Object> conf,
                                                                                       TopologyContext context)

      Specified by:
        `getCoordinator` in interface `IOpaquePartitionedTridentSpout<Partitions,Partition,Map>`

    - #### getEmitter

          public IOpaquePartitionedTridentSpout.Emitter<Partitions,Partition,Map> getEmitter(Map<String,Object> conf,
                                                                                             TopologyContext context)

      Specified by:
        `getEmitter` in interface `IOpaquePartitionedTridentSpout<Partitions,Partition,Map>`

    - #### getOutputFields

          public Fields getOutputFields()

      Specified by:
        `getOutputFields` in interface `IOpaquePartitionedTridentSpout<Partitions,Partition,Map>`

Copyright © 2021 The Apache Software Foundation. All rights reserved.